API Changelog: API Documentation

Previous Next

September 09, 2026

32 changes
32 changes click to expand
-
Schema removed filter_project_preference
Schema changes
  • -type: object
  • -title: Filter project preference
  • -required: false
  • -properties:
  • - id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - person_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - project_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • -x-internal: true
  • -
~
Schema modified resource_company
Schema changes
  •   title: Exclude Company And Children
  •   x-used-in:
  •   - filter
  • + default_payment_reminder_sequence:
  • + title: Default Payment Reminder Sequence
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_payment_reminder_sequence
  •   integration_exporter_configuration:
  •   title: Integration Exporter Configuration
  •   x-used-in:
  •   - serializer
  •   x-relationship: has_one
  •   x-related-resource: resource_integration_exporter_configuration
  • + default_payment_reminder_sequence_id:
  • + type: integer
  • + title: Default Payment Reminder Sequence
  • + x-used-in:
  • + - serializer
  • + - form
  •  
~
Schema modified resource_search_quick_result
Schema changes
  •   title: Root Page Id
  •   x-used-in:
  •   - filter
  • + x-feature-flags:
  • + - pageSearchDocScope
  •  x-internal: true
  •  
-
Schema removed resource_project_preference
Schema changes
  • -type: object
  • -title: Project preference Resource
  • -required: false
  • -properties:
  • - id:
  • - type: integer
  • - title: Id
  • - x-used-in:
  • - - filter
  • - person:
  • - title: Person
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_person
  • - project:
  • - title: Project
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_project
  • - watched:
  • - type: boolean
  • - title: Watched
  • - x-used-in:
  • - - serializer
  • - - form
  • - person_id:
  • - type: integer
  • - title: Person Id
  • - x-used-in:
  • - - form
  • - - filter
  • - subscribe:
  • - type: boolean
  • - title: Subscribe
  • - x-used-in:
  • - - form
  • - created_at:
  • - type: string
  • - title: Created At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - project_id:
  • - type: integer
  • - title: Project Id
  • - x-used-in:
  • - - form
  • - - filter
  • - preferences:
  • - type: string
  • - title: Preferences
  • - x-used-in:
  • - - serializer
  • - - form
  • - unsubscribe:
  • - type: boolean
  • - title: Unsubscribe
  • - x-used-in:
  • - - form
  • - tasks_layout_id:
  • - type: integer
  • - title: Tasks Layout Id
  • - x-used-in:
  • - - serializer
  • - - form
  • -
~
Schema modified resource_placeholder_usage
Schema changes
  •   subscriber: Subscriber
  •   x-used-in:
  •   - serializer
  • - - form
  •   - filter
  •   - sorter
  •   task_id:
  •   type: integer
  •   title: Task
  •   x-used-in:
  • - - form
  •   - filter
  •   todo_id:
  •   type: integer
  •   title: Todo
  •   x-used-in:
  • - - form
  •   - filter
  •   target_id:
  •   type: integer
  • ...
  •   month: Month
  •   x-used-in:
  •   - serializer
  • - - form
  •   - sorter
  •   skip_weekends:
  •   type: boolean
  •   title: Skip Weekends
  •   x-used-in:
  •   - serializer
  • - - form
  •   - filter
  •   - sorter
  •   interval_value:
  • ...
  •   title: Interval Value
  •   x-used-in:
  •   - serializer
  • - - form
  •   - sorter
  •   placeholder_id:
  •   type: integer
  •   title: Placeholder
  •   x-used-in:
  •   - serializer
  • - - form
  •   - filter
  •   - sorter
  •   interval_enabled:
  • ...
  •   title: Interval Enabled
  •   x-used-in:
  •   - serializer
  • - - form
  •   - filter
  •   - sorter
  •   interval_direction:
  • ...
  •   before: Before
  •   x-used-in:
  •   - serializer
  • - - form
  •   - sorter
  •  
~
Schema modified resource_template
Schema changes
  •   name:
  •   type: string
  •   title: Name
  • - nullable: true
  •   maxLength: 255
  •   x-used-in:
  •   - serializer
-
Schema removed _filter_root_project_preference
Schema changes
  • -oneOf:
  • -- type: object
  • - title: Advanced filters
  • - required:
  • - - "$op"
  • - properties:
  • - "$op":
  • - enum:
  • - - or
  • - - and
  • - type: string
  • - x-enums:
  • - or: OR
  • - and: AND
  • - patternProperties:
  • - "^[0-9]+$":
  • - "$ref": "#/components/schemas/_filter_root_project_preference"
  • -- "$ref": "#/components/schemas/filter_project_preference"
  • -required: false
  • -x-internal: true
  • -
~
Schema modified resource_task
Schema changes
  •   title: Booked Time
  •   x-used-in:
  •   - serializer
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   description:
  •   type: string
  •   title: Description
  • ...
  •   title: Future Booked Time
  •   x-used-in:
  •   - serializer
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   open_subtask_count:
  •   type: integer
  •   title: Open Subtask Count
~
Schema modified resource_task_report
Schema changes
  •   title: Booked Time
  •   x-used-in:
  •   - filter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   due_date_on:
  •   type: string
  •   title: Due Date On
  • ...
  •   x-used-in:
  •   - serializer
  •   - sorter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   total_worked_time:
  •   type: number
  •   title: Total Worked Time
  • ...
  •   title: Future Booked Time
  •   x-used-in:
  •   - filter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   net_unplanned_time:
  •   type: integer
  •   title: Net Unplanned Time
  •   x-used-in:
  •   - filter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   project_manager_id:
  •   type: integer
  •   title: Project Manager
  • ...
  •   title: Left To Schedule Time
  •   x-used-in:
  •   - filter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   task_last_activity_at:
  •   title: Task Last Activity At
  •   x-used-in:
  • ...
  •   x-used-in:
  •   - serializer
  •   - sorter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   total_net_unplanned_time:
  •   type: number
  •   title: Total Net Unplanned Time
  •   x-used-in:
  •   - serializer
  •   - sorter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   total_left_to_schedule_time:
  •   type: number
  •   title: Total Left To Schedule Time
  •   x-used-in:
  •   - serializer
  •   - sorter
  • - x-feature-flags:
  • - - taskReportBookingFields
  •   workflow_status_category_id:
  •   enum:
  •   - 1
~
Request body modified placeholder
Schema changes
  •   properties:
  •   attributes:
  •   type: object
  • - required:
  • - - category
  • - - color
  • - - icon
  • - - name
  • - - project_id
  • - - type
  •   properties:
  •   icon:
  •   "$ref": "#/components/schemas/resource_placeholder/properties/icon"
~
Request body modified company
Schema changes
  •   "$ref": "#/components/schemas/resource_company/properties/default_subsidiary_id"
  •   default_document_type_id:
  •   "$ref": "#/components/schemas/resource_company/properties/default_document_type_id"
  • + default_payment_reminder_sequence_id:
  • + "$ref": "#/components/schemas/resource_company/properties/default_payment_reminder_sequence_id"
  •  
-
Group removed Project Preferences
Schema changes
  • -name: Project Preferences
  • -x-resource: resource_project_preference
  • -
~
Response modified single_company
Schema changes
  •   "$ref": "#/components/schemas/resource_company/properties/default_document_type_id"
  •   invoice_email_recipients:
  •   "$ref": "#/components/schemas/resource_company/properties/invoice_email_recipients"
  • + default_payment_reminder_sequence_id:
  • + "$ref": "#/components/schemas/resource_company/properties/default_payment_reminder_sequence_id"
  •   relationships:
  •   type: object
  •   properties:
  • ...
  •   "$ref": "#/components/schemas/_single_relationship"
  •   custom_field_attachments:
  •   "$ref": "#/components/schemas/_collection_relationship"
  • + default_payment_reminder_sequence:
  • + "$ref": "#/components/schemas/_single_relationship"
  •   integration_exporter_configuration:
  •   "$ref": "#/components/schemas/_single_relationship"
  •   meta:
~
Response modified collection_company
Schema changes
  •   "$ref": "#/components/schemas/resource_company/properties/default_document_type_id"
  •   invoice_email_recipients:
  •   "$ref": "#/components/schemas/resource_company/properties/invoice_email_recipients"
  • + default_payment_reminder_sequence_id:
  • + "$ref": "#/components/schemas/resource_company/properties/default_payment_reminder_sequence_id"
  •   relationships:
  •   type: object
  •   properties:
  • ...
  •   "$ref": "#/components/schemas/_single_relationship"
  •   custom_field_attachments:
  •   "$ref": "#/components/schemas/_collection_relationship"
  • + default_payment_reminder_sequence:
  • + "$ref": "#/components/schemas/_single_relationship"
  •   integration_exporter_configuration:
  •   "$ref": "#/components/schemas/_single_relationship"
  •   meta:
~
Get placeholders GET Operation modified /api/v2/placeholders/get
Schema changes
  •  tags:
  •  - Placeholders
  •  summary: Get placeholders
  • -x-position: 10
  •  operationId: placeholders-index
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
~
Create a placeholder POST Operation modified /api/v2/placeholders/post
Schema changes
  •  tags:
  •  - Placeholders
  •  summary: Create a placeholder
  • -x-position: 30
  •  operationId: placeholders-create
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
~
Deletes a placeholder DELETE Operation modified /api/v2/placeholders/{id}/delete
Schema changes
  •  tags:
  •  - Placeholders
  •  summary: Deletes a placeholder
  • -x-position: 50
  •  operationId: placeholders-destroy
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
~
Gets a placeholder GET Operation modified /api/v2/placeholders/{id}/get
Schema changes
  •  tags:
  •  - Placeholders
  •  summary: Gets a placeholder
  • -x-position: 20
  •  operationId: placeholders-show
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
-
Update a placeholder PATCH Response removed /api/v2/placeholders/{id}/patch/responses/422
Schema changes
  • -content:
  • - application/vnd.api+json: {}
  • -headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • -
~
Update a placeholder PATCH Operation modified /api/v2/placeholders/{id}/patch
Schema changes
  •  tags:
  •  - Placeholders
  •  summary: Update a placeholder
  • -x-position: 40
  •  operationId: placeholders-update
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
~
Get placeholder usages GET Operation modified /api/v2/placeholder_usages/get
Schema changes
  •  tags:
  •  - Placeholder Usages
  •  summary: Get placeholder usages
  • -x-position: 10
  •  operationId: placeholder_usages-index
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
-
Create a placeholder usage POST Request body removed /api/v2/placeholder_usages/post/requestBody
Schema changes
  • -"$ref": "#/components/requestBodies/placeholder_usage"
  • -
~
Create a placeholder usage POST Operation modified /api/v2/placeholder_usages/post
Schema changes
  •  tags:
  •  - Placeholder Usages
  •  summary: Create a placeholder usage
  • -x-position: 30
  •  operationId: placeholder_usages-create
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
~
Deletes a placeholder usage DELETE Operation modified /api/v2/placeholder_usages/{id}/delete
Schema changes
  •  tags:
  •  - Placeholder Usages
  •  summary: Deletes a placeholder usage
  • -x-position: 50
  •  operationId: placeholder_usages-destroy
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
~
Gets a placeholder usage GET Operation modified /api/v2/placeholder_usages/{id}/get
Schema changes
  •  tags:
  •  - Placeholder Usages
  •  summary: Gets a placeholder usage
  • -x-position: 20
  •  operationId: placeholder_usages-show
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
~
Update a placeholder usage PATCH Operation modified /api/v2/placeholder_usages/{id}/patch
Schema changes
  •  tags:
  •  - Placeholder Usages
  •  summary: Update a placeholder usage
  • -x-position: 40
  •  operationId: placeholder_usages-update
  • -x-feature-flags:
  • -- relativePeopleAndDates
  •  
-
Update a placeholder usage PATCH Request body removed /api/v2/placeholder_usages/{id}/patch/requestBody
Schema changes
  • -"$ref": "#/components/requestBodies/placeholder_usage_update"
  • -
-
Get project preferences GET Operation removed /api/v2/project_preferences/get
Schema changes
  • -tags:
  • -- Project Preferences
  • -summary: Get project preferences
  • -responses:
  • - '200':
  • - "$ref": "#/components/responses/collection_project_preference"
  • - '403':
  • - content:
  • - application/vnd.api+json: {}
  • - headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • -parameters:
  • -- "$ref": "#/components/parameters/filter_project_preference"
  • -- "$ref": "#/components/parameters/sort_project_preference"
  • -- "$ref": "#/components/parameters/header_organization"
  • -x-position: 10
  • -operationId: project_preferences-index
  • -
-
Create a project preference POST Operation removed /api/v2/project_preferences/post
Schema changes
  • -tags:
  • -- Project Preferences
  • -summary: Create a project preference
  • -responses:
  • - '201':
  • - "$ref": "#/components/responses/single_project_preference"
  • - '403':
  • - content:
  • - application/vnd.api+json: {}
  • - headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • - '422':
  • - content:
  • - application/vnd.api+json: {}
  • - headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • -parameters:
  • -- "$ref": "#/components/parameters/header_organization"
  • -x-position: 30
  • -operationId: project_preferences-create
  • -requestBody:
  • - "$ref": "#/components/requestBodies/project_preference"
  • -
-
Delete a project preference DELETE Operation removed /api/v2/project_preferences/{id}/delete
Schema changes
  • -tags:
  • -- Project Preferences
  • -summary: Delete a project preference
  • -responses:
  • - '204': {}
  • - '403':
  • - content:
  • - application/vnd.api+json: {}
  • - headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • -parameters:
  • -- in: path
  • - name: id
  • - schema:
  • - type: string
  • - required: true
  • -- "$ref": "#/components/parameters/header_organization"
  • -x-position: 50
  • -operationId: project_preferences-destroy
  • -
-
Get a project preference GET Operation removed /api/v2/project_preferences/{id}/get
Schema changes
  • -tags:
  • -- Project Preferences
  • -summary: Get a project preference
  • -responses:
  • - '200':
  • - "$ref": "#/components/responses/single_project_preference"
  • - '403':
  • - content:
  • - application/vnd.api+json: {}
  • - headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • -parameters:
  • -- in: path
  • - name: id
  • - schema:
  • - type: string
  • - required: true
  • -- "$ref": "#/components/parameters/header_organization"
  • -x-position: 20
  • -operationId: project_preferences-show
  • -
-
Update a project preference PATCH Operation removed /api/v2/project_preferences/{id}/patch
Schema changes
  • -tags:
  • -- Project Preferences
  • -summary: Update a project preference
  • -responses:
  • - '200':
  • - "$ref": "#/components/responses/single_project_preference"
  • - '403':
  • - content:
  • - application/vnd.api+json: {}
  • - headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • - '422':
  • - content:
  • - application/vnd.api+json: {}
  • - headers:
  • - Content-Type:
  • - schema:
  • - type: string
  • -parameters:
  • -- in: path
  • - name: id
  • - schema:
  • - type: string
  • - required: true
  • -- "$ref": "#/components/parameters/header_organization"
  • -x-position: 40
  • -operationId: project_preferences-update
  • -requestBody:
  • - "$ref": "#/components/requestBodies/project_preference"
  • -

September 08, 2026

156 changes
156 changes click to expand
+
Request body added placeholder_usage_update
Schema changes
  • +content:
  • + application/vnd.api+json:
  • + schema:
  • + type: object
  • + properties:
  • + data:
  • + type: object
  • + properties:
  • + attributes:
  • + type: object
  • + properties:
  • + interval_unit:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_unit"
  • + skip_weekends:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/skip_weekends"
  • + interval_value:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_value"
  • + placeholder_id:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/placeholder_id"
  • + interval_enabled:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_enabled"
  • + interval_direction:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_direction"
  • +
~
Request body modified placeholder
Schema changes
  •   properties:
  •   attributes:
  •   type: object
  • + required:
  • + - category
  • + - color
  • + - icon
  • + - name
  • + - project_id
  • + - type
  •   properties:
  •   icon:
  •   "$ref": "#/components/schemas/resource_placeholder/properties/icon"
+
Request body added placeholder_update
Schema changes
  • +content:
  • + application/vnd.api+json:
  • + schema:
  • + type: object
  • + properties:
  • + data:
  • + type: object
  • + properties:
  • + attributes:
  • + type: object
  • + properties:
  • + icon:
  • + "$ref": "#/components/schemas/resource_placeholder/properties/icon"
  • + name:
  • + "$ref": "#/components/schemas/resource_placeholder/properties/name"
  • + type:
  • + "$ref": "#/components/schemas/resource_placeholder/properties/type"
  • + color:
  • + "$ref": "#/components/schemas/resource_placeholder/properties/color"
  • + category:
  • + "$ref": "#/components/schemas/resource_placeholder/properties/category"
  • + project_id:
  • + "$ref": "#/components/schemas/resource_placeholder/properties/project_id"
  • +
+
Request body added placeholder_usage
Schema changes
  • +content:
  • + application/vnd.api+json:
  • + schema:
  • + type: object
  • + properties:
  • + data:
  • + type: object
  • + properties:
  • + attributes:
  • + type: object
  • + required:
  • + - field
  • + - placeholder_id
  • + properties:
  • + field:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/field"
  • + task_id:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/task_id"
  • + x-required: Required if todo_id is not present
  • + todo_id:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/todo_id"
  • + x-required: Required if task_id is not present
  • + interval_unit:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_unit"
  • + skip_weekends:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/skip_weekends"
  • + interval_value:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_value"
  • + placeholder_id:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/placeholder_id"
  • + interval_enabled:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_enabled"
  • + interval_direction:
  • + "$ref": "#/components/schemas/resource_placeholder_usage/properties/interval_direction"
  • +
~
Request body modified line_item
Schema changes
  •   "$ref": "#/components/schemas/resource_line_item/properties/kpd_code_id"
  •   tax_rate_id:
  •   "$ref": "#/components/schemas/resource_line_item/properties/tax_rate_id"
  • - manual_entry:
  • - "$ref": "#/components/schemas/resource_line_item/properties/manual_entry"
  •   service_type_id:
  •   "$ref": "#/components/schemas/resource_line_item/properties/service_type_id"
  •  
~
Request body modified company
Schema changes
  •   "$ref": "#/components/schemas/resource_company/properties/domain"
  •   contact:
  •   "$ref": "#/components/schemas/resource_company/properties/contact"
  • - domains:
  • - "$ref": "#/components/schemas/resource_company/properties/domains"
  •   due_days:
  •   "$ref": "#/components/schemas/resource_company/properties/due_days"
  •   settings:
~
Request body modified deal
Schema changes
  •   "$ref": "#/components/schemas/resource_deal/properties/deal_value"
  •   project_id:
  •   "$ref": "#/components/schemas/resource_deal/properties/project_id"
  • - contact_ids:
  • - "$ref": "#/components/schemas/resource_deal/properties/contact_ids"
  •   probability:
  •   "$ref": "#/components/schemas/resource_deal/properties/probability"
  •   x-required: Required for sales pipeline deals
~
Request body modified custom_field
Schema changes
  •   x-required: Required if customizable_type is 'employees'
  •   data_type_id:
  •   "$ref": "#/components/schemas/resource_custom_field/properties/data_type_id"
  • - maximum_value:
  • - "$ref": "#/components/schemas/resource_custom_field/properties/maximum_value"
  • - x-required: Required if data_type_id is 8 (Progress field)
  • - minimum_value:
  • - "$ref": "#/components/schemas/resource_custom_field/properties/minimum_value"
  • - x-required: Required if data_type_id is 8 (Progress field)
  •   customizable_type:
  •   "$ref": "#/components/schemas/resource_custom_field/properties/customizable_type"
  •   quick_add_enabled:
~
Request body modified payment
Schema changes
  •   "$ref": "#/components/schemas/resource_payment/properties/invoice_id"
  •   written_off_on:
  •   "$ref": "#/components/schemas/resource_payment/properties/written_off_on"
  • - application/vnd.api+json; ext=bulk:
  • - schema:
  • - type: object
  • - properties:
  • - data:
  • - type: array
  • - items:
  • - type: object
  • - required:
  • - - type
  • - - attributes
  • - properties:
  • - type:
  • - enum:
  • - - payments
  • - type: string
  • - attributes:
  • - type: object
  • - maxItems: 100
  •  
~
Request body modified agent_config_update
Schema changes
  •   attributes:
  •   type: object
  •   properties:
  • - ai_model:
  • - "$ref": "#/components/schemas/resource_agent_config/properties/ai_model"
  •   instructions:
  •   "$ref": "#/components/schemas/resource_agent_config/properties/instructions"
  • - reasoning_effort:
  • - "$ref": "#/components/schemas/resource_agent_config/properties/reasoning_effort"
  •  
~
Request body modified organization_subscription
Schema changes
  •   "$ref": "#/components/schemas/resource_organization_subscription/properties/billing_email"
  •   product_types:
  •   "$ref": "#/components/schemas/resource_organization_subscription/properties/product_types"
  • + active_products:
  • + "$ref": "#/components/schemas/resource_organization_subscription/properties/active_products"
  •   billing_address:
  •   "$ref": "#/components/schemas/resource_organization_subscription/properties/billing_address"
  •   trial_plan_type:
~
Request body modified person
Schema changes
  •   "$ref": "#/components/schemas/resource_person/properties/manager_id"
  •   job_role_id:
  •   "$ref": "#/components/schemas/resource_person/properties/job_role_id"
  • + x-feature-flags:
  • + - userRole
  •   status_text:
  •   "$ref": "#/components/schemas/resource_person/properties/status_text"
  •   autotracking:
~
Request body modified page
Schema changes
  •   "$ref": "#/components/schemas/resource_page/properties/root_page_id"
  •   custom_fields:
  •   "$ref": "#/components/schemas/resource_page/properties/custom_fields"
  • + public_access:
  • + "$ref": "#/components/schemas/resource_page/properties/public_access"
  •   attachment_ids:
  •   "$ref": "#/components/schemas/resource_page/properties/attachment_ids"
  •   parent_page_id:
  •   "$ref": "#/components/schemas/resource_page/properties/parent_page_id"
  • + subscriber_ids:
  • + "$ref": "#/components/schemas/resource_page/properties/subscriber_ids"
  •   version_number:
  •   "$ref": "#/components/schemas/resource_page/properties/version_number"
  •   cover_image_url:
  •   "$ref": "#/components/schemas/resource_page/properties/cover_image_url"
  • + cover_image_meta:
  • + "$ref": "#/components/schemas/resource_page/properties/cover_image_meta"
  •  
~
Request body modified page_create_with_markdown
Schema changes
  •   "$ref": "#/components/schemas/resource_page/properties/root_page_id"
  •   custom_fields:
  •   "$ref": "#/components/schemas/resource_page/properties/custom_fields"
  • + public_access:
  • + "$ref": "#/components/schemas/resource_page/properties/public_access"
  •   attachment_ids:
  •   "$ref": "#/components/schemas/resource_page/properties/attachment_ids"
  •   parent_page_id:
  •   "$ref": "#/components/schemas/resource_page/properties/parent_page_id"
  • + subscriber_ids:
  • + "$ref": "#/components/schemas/resource_page/properties/subscriber_ids"
  •   cover_image_url:
  •   "$ref": "#/components/schemas/resource_page/properties/cover_image_url"
  • + cover_image_meta:
  • + "$ref": "#/components/schemas/resource_page/properties/cover_image_meta"
  •  
~
Request body modified agent_config
Schema changes
  •   properties:
  •   agent_id:
  •   "$ref": "#/components/schemas/resource_agent_config/properties/agent_id"
  • - ai_model:
  • - "$ref": "#/components/schemas/resource_agent_config/properties/ai_model"
  •   instructions:
  •   "$ref": "#/components/schemas/resource_agent_config/properties/instructions"
  • - reasoning_effort:
  • - "$ref": "#/components/schemas/resource_agent_config/properties/reasoning_effort"
  •  
+
Request body added project_assignment
Schema changes
  • +content:
  • + application/vnd.api+json:
  • + schema:
  • + type: object
  • + properties:
  • + data:
  • + type: object
  • + properties:
  • + attributes:
  • + type: object
  • + properties:
  • + watched:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/watched"
  • + person_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/person_id"
  • + subscribe:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/subscribe"
  • + project_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/project_id"
  • + preferences:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/preferences"
  • + unsubscribe:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/unsubscribe"
  • + docs_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/docs_filter_id"
  • + deals_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/deals_filter_id"
  • + tasks_layout_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/tasks_layout_id"
  • + budgets_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/budgets_filter_id"
  • + default_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/default_filter_id"
  • + invoices_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/invoices_filter_id"
  • +
+
Request body added project_preference
Schema changes
  • +content:
  • + application/vnd.api+json:
  • + schema:
  • + type: object
  • + properties:
  • + data:
  • + type: object
  • + properties:
  • + attributes:
  • + type: object
  • + properties:
  • + watched:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/watched"
  • + person_id:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • + subscribe:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/subscribe"
  • + project_id:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • + preferences:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/preferences"
  • + unsubscribe:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/unsubscribe"
  • + tasks_layout_id:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/tasks_layout_id"
  • +
~
Schema modified resource_placeholder_usage
Schema changes
  •   subscriber: Subscriber
  •   x-used-in:
  •   - serializer
  • + - form
  •   - filter
  •   - sorter
  •   task_id:
  •   type: integer
  •   title: Task
  •   x-used-in:
  • + - form
  •   - filter
  •   todo_id:
  •   type: integer
  •   title: Todo
  •   x-used-in:
  • + - form
  •   - filter
  •   target_id:
  •   type: integer
  • ...
  •   month: Month
  •   x-used-in:
  •   - serializer
  • + - form
  •   - sorter
  •   skip_weekends:
  •   type: boolean
  •   title: Skip Weekends
  •   x-used-in:
  •   - serializer
  • + - form
  •   - filter
  •   - sorter
  •   interval_value:
  • ...
  •   title: Interval Value
  •   x-used-in:
  •   - serializer
  • + - form
  •   - sorter
  •   placeholder_id:
  •   type: integer
  •   title: Placeholder
  •   x-used-in:
  •   - serializer
  • + - form
  •   - filter
  •   - sorter
  •   interval_enabled:
  • ...
  •   title: Interval Enabled
  •   x-used-in:
  •   - serializer
  • + - form
  •   - filter
  •   - sorter
  •   interval_direction:
  • ...
  •   before: Before
  •   x-used-in:
  •   - serializer
  • + - form
  •   - sorter
  •  
-
Schema removed resource_project_preference
Schema changes
  • -type: object
  • -title: Project preference Resource
  • -required: false
  • -properties:
  • - id:
  • - type: integer
  • - title: Id
  • - x-used-in:
  • - - filter
  • - person:
  • - title: Person
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_person
  • - project:
  • - title: Project
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_project
  • - watched:
  • - type: boolean
  • - title: Watched
  • - x-used-in:
  • - - serializer
  • - - form
  • - person_id:
  • - type: integer
  • - title: Person Id
  • - x-used-in:
  • - - form
  • - - filter
  • - subscribe:
  • - type: boolean
  • - title: Subscribe
  • - x-used-in:
  • - - form
  • - created_at:
  • - type: string
  • - title: Created At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - project_id:
  • - type: integer
  • - title: Project Id
  • - x-used-in:
  • - - form
  • - - filter
  • - preferences:
  • - type: string
  • - title: Preferences
  • - x-used-in:
  • - - serializer
  • - - form
  • - unsubscribe:
  • - type: boolean
  • - title: Unsubscribe
  • - x-used-in:
  • - - form
  • - tasks_layout_id:
  • - type: integer
  • - title: Tasks Layout Id
  • - x-used-in:
  • - - serializer
  • - - form
  • -
-
Schema removed filter_project_preference
Schema changes
  • -type: object
  • -title: Filter project preference
  • -required: false
  • -properties:
  • - id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • - person_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • - project_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • - - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • -x-internal: true
  • -
-
Schema removed _filter_root_project_preference
Schema changes
  • -oneOf:
  • -- type: object
  • - title: Advanced filters
  • - required:
  • - - "$op"
  • - properties:
  • - "$op":
  • - enum:
  • - - or
  • - - and
  • - type: string
  • - x-enums:
  • - or: OR
  • - and: AND
  • - patternProperties:
  • - "^[0-9]+$":
  • - "$ref": "#/components/schemas/_filter_root_project_preference"
  • -- "$ref": "#/components/schemas/filter_project_preference"
  • -required: false
  • -x-internal: true
  • -
~
Schema modified resource_search_quick_result
Schema changes
  •   title: Root Page Id
  •   x-used-in:
  •   - filter
  • + x-feature-flags:
  • + - pageSearchDocScope
  •  x-internal: true
  •  
~
Schema modified resource_membership
Schema changes
  •   x-used-in:
  •   - form
  •   - filter
  • - meeting:
  • - title: Meeting
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_meeting
  •   options:
  •   type: object
  •   title: Options
  • ...
  •   x-used-in:
  •   - form
  •   - filter
  • - artifact:
  • - title: Artifact
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_artifact
  •   pulse_id:
  •   type: integer
  •   title: Pulse
  •   x-used-in:
  •   - form
  • - skill_id:
  • - type: integer
  • - title: Skill
  • - x-used-in:
  • - - form
  • - - filter
  •   dashboard:
  •   title: Dashboard
  •   x-used-in:
  • ...
  •   project_id:
  •   type: integer
  •   title: Project
  • - x-used-in:
  • - - form
  • - - filter
  • - artifact_id:
  • - type: integer
  • - title: Artifact
  •   x-used-in:
  •   - form
  •   - filter
~
Schema modified resource_agent_config
Schema changes
  •   x-used-in:
  •   - form
  •   - filter
  • - ai_model:
  • - type: string
  • - title: AI Model
  • - nullable: true
  • - x-used-in:
  • - - serializer
  • - - form
  • - x-feature-flags:
  • - - agentModelSettings
  •   created_at:
  •   type: string
  •   title: Created At
  • ...
  •   x-used-in:
  •   - serializer
  •   - form
  • - reasoning_effort:
  • - enum:
  • - - low
  • - - medium
  • - - high
  • - type: string
  • - title: Reasoning Effort
  • - x-enums:
  • - low: Low
  • - high: High
  • - medium: Medium
  • - nullable: true
  • - x-used-in:
  • - - serializer
  • - - form
  • - x-feature-flags:
  • - - agentModelSettings
  •  
~
Schema modified resource_deal
Schema changes
  •   - serializer
  •   - form
  •   - filter
  • - contacts:
  • - title: Contacts
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_many
  • - x-feature-flags:
  • - - dealContactsArray
  • - x-related-resource: resource_person
  •   contract:
  •   title: Contract
  •   x-used-in:
  • ...
  •   - serializer
  •   - filter
  •   - sorter
  • - contact_ids:
  • - title: Contact Ids
  • - x-used-in:
  • - - form
  • - x-feature-flags:
  • - - dealContactsArray
  •   contract_id:
  •   type: integer
  •   title: Contract
  • ...
  •   - serializer
  •   - form
  •   - filter
  • + x-feature-flags:
  • + - dealMandatoryTimeEntryNote
  •   automatic_invoicing_rule:
  •   title: Automatic Invoicing Rule
  •   x-used-in:
~
Schema modified filter_membership
Schema changes
  •   not_contain:
  •   "$ref": "#/components/schemas/resource_membership/properties/agent_id"
  •   - "$ref": "#/components/schemas/resource_membership/properties/agent_id"
  • - skill_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_membership/properties/skill_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_membership/properties/skill_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_membership/properties/skill_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_membership/properties/skill_id"
  • - - "$ref": "#/components/schemas/resource_membership/properties/skill_id"
  •   filter_id:
  •   oneOf:
  •   - type: object
  • ...
  •   not_contain:
  •   "$ref": "#/components/schemas/resource_membership/properties/project_id"
  •   - "$ref": "#/components/schemas/resource_membership/properties/project_id"
  • - artifact_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_membership/properties/artifact_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_membership/properties/artifact_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_membership/properties/artifact_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_membership/properties/artifact_id"
  • - - "$ref": "#/components/schemas/resource_membership/properties/artifact_id"
  •   target_type:
  •   oneOf:
  •   - type: object
-
Schema removed _filter_root_meeting
Schema changes
  • -oneOf:
  • -- type: object
  • - title: Advanced filters
  • - required:
  • - - "$op"
  • - properties:
  • - "$op":
  • - enum:
  • - - or
  • - - and
  • - type: string
  • - x-enums:
  • - or: OR
  • - and: AND
  • - patternProperties:
  • - "^[0-9]+$":
  • - "$ref": "#/components/schemas/_filter_root_meeting"
  • -- "$ref": "#/components/schemas/filter_meeting"
  • -required: false
  • -x-internal: true
  • -
+
Schema added filter_project_assignment
Schema changes
  • +type: object
  • +title: Filter project assignment
  • +required: false
  • +properties:
  • + id:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/id"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/id"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/id"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/id"
  • + - "$ref": "#/components/schemas/resource_project_assignment/properties/id"
  • + person_id:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/person_id"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/person_id"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/person_id"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/person_id"
  • + - "$ref": "#/components/schemas/resource_project_assignment/properties/person_id"
  • + project_id:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/project_id"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/project_id"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/project_id"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/project_id"
  • + - "$ref": "#/components/schemas/resource_project_assignment/properties/project_id"
  • +x-internal: true
  • +patternProperties: {}
  • +
~
Schema modified resource_project
Schema changes
  •   title: Project Color
  •   x-used-in:
  •   - filter
  • + public_access:
  • + type: boolean
  • + title: Public Access
  • + x-used-in:
  • + - filter
  •   estimated_time:
  •   type: integer
  •   title: Estimated Time
~
Schema modified resource_project_report
Schema changes
  •   title: Project Color
  •   x-used-in:
  •   - filter
  • + public_access:
  • + type: boolean
  • + title: Public Access
  • + x-used-in:
  • + - filter
  •   total_revenue:
  •   title: Total Revenue
  •   x-used-in:
~
Schema modified resource_price
Schema changes
  •   - form
  •   - filter
  •   - sorter
  • - discount_type:
  • - enum:
  • - - percentage
  • - - amount
  • - type: string
  • - title: Discount Type
  • - x-enums:
  • - amount: Amount
  • - percentage: Percentage
  • - x-used-in:
  • - - serializer
  •   editor_config:
  •   type: object
  •   title: Editor Config
  • ...
  •   - form
  •   - filter
  •   - sorter
  • - discount_amount:
  • - type: number
  • - title: Discount Amount
  • - x-used-in:
  • - - serializer
  • - - form
  •   estimated_hours:
  •   type: number
  •   title: Estimated Hours
  • ...
  •   title: Estimated Cost Default
  •   x-used-in:
  •   - serializer
  • - discount_amount_default:
  • - title: Discount Amount Default
  • - x-used-in:
  • - - serializer
  •   booking_tracking_enabled:
  •   type: boolean
  •   title: Booking Tracking Enabled
  • ...
  •   - sorter
  •   estimated_cost_normalized:
  •   title: Estimated Cost Normalized
  • - x-used-in:
  • - - serializer
  • - discount_amount_normalized:
  • - title: Discount Amount Normalized
  •   x-used-in:
  •   - serializer
  •  
-
Schema removed resource_meeting_participant
Schema changes
  • -type: object
  • -title: Meeting participant Resource
  • -required: false
  • -properties:
  • - name:
  • - type: string
  • - title: Name
  • - x-used-in:
  • - - serializer
  • - role:
  • - type: string
  • - title: Role
  • - x-used-in:
  • - - serializer
  • - email:
  • - type: string
  • - title: Email
  • - x-used-in:
  • - - serializer
  • - person:
  • - title: Person
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_person
  • - meeting:
  • - title: Meeting
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_meeting
  • - created_at:
  • - type: string
  • - title: Created At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - updated_at:
  • - type: string
  • - title: Updated At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - organization:
  • - title: Organization
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_organization
  • -x-internal: true
  • -
~
Schema modified resource_person_report
Schema changes
  •   - sorter
  •   - grouper
  •   x-relationship: has_one
  • + x-feature-flags:
  • + - userRole
  •   x-related-resource: resource_job_role
  •   joined_at:
  •   type: string
  • ...
  •   title: Job Role
  •   x-used-in:
  •   - filter
  • + x-feature-flags:
  • + - userRole
  •   permissions:
  •   type: string
  •   title: Permissions
  • ...
  •   - filter
  •   - sorter
  •   - grouper
  • + x-feature-flags:
  • + - sharedSeats
  •   autotracking:
  •   type: integer
  •   title: Autotracking
~
Schema modified resource_template
Schema changes
  •   name:
  •   type: string
  •   title: Name
  • + nullable: true
  •   maxLength: 255
  •   x-used-in:
  •   - serializer
~
Schema modified resource_new_time_report
Schema changes
  •   - sorter
  •   - grouper
  •   x-relationship: has_one
  • + x-feature-flags:
  • + - userRole
  •   x-related-resource: resource_job_role
  •   workload:
  •   type: number
  • ...
  •   title: Job Role
  •   x-used-in:
  •   - filter
  • + x-feature-flags:
  • + - userRole
  •   person_tags:
  •   type: string
  •   title: Person Tags
~
Schema modified resource_company
Schema changes
  •   x-used-in:
  •   - serializer
  •   - form
  • - deprecated: true
  •   import:
  •   title: Import
  •   x-used-in:
  • ...
  •   contact:
  •   type: object
  •   title: Contact
  • - x-used-in:
  • - - serializer
  • - - form
  • - domains:
  • - type: array
  • - items:
  • - type: string
  • - title: Domains
  •   x-used-in:
  •   - serializer
  •   - form
~
Schema modified resource_project_relevancy_report
Schema changes
  •   title: Heuristic Type
  •   x-used-in:
  •   - filter
  • - booked_period_end:
  • - type: string
  • - title: Booked Period End
  • - format: date
  • - x-used-in:
  • - - filter
  •   time_tracked_score:
  •   type: integer
  •   title: Time Tracked Score
  •   x-used-in:
  •   - serializer
  • - activity_period_end:
  • - type: string
  • - title: Activity Period End
  • - format: date
  • - x-used-in:
  • - - filter
  • - booked_period_start:
  • - type: string
  • - title: Booked Period Start
  • - format: date
  • - x-used-in:
  • - - filter
  • - activity_period_start:
  • - type: string
  • - title: Activity Period Start
  • - format: date
  • - x-used-in:
  • - - filter
  •   pinned_services_score:
  •   type: integer
  •   title: Pinned Services Score
~
Schema modified resource_organization_subscription
Schema changes
  •   title: Contract Seats
  •   x-used-in:
  •   - serializer
  • + active_products:
  • + type: object
  • + title: Active Products
  • + x-used-in:
  • + - serializer
  • + - form
  •   billing_address:
  •   type: object
  •   title: Billing Address
~
Schema modified resource_proposal
Schema changes
  •   title: Footer
  •   x-used-in:
  •   - serializer
  • - number:
  • - type: string
  • - title: Number
  • - nullable: true
  • - x-used-in:
  • - - serializer
  •   signed:
  •   title: Signed
  •   x-used-in:
  • ...
  •   - serializer
  •   x-relationship: has_one
  •   x-related-resource: resource_organization
  • + audit_pdf_url:
  • + type: string
  • + title: Audit Pdf Url
  • + x-used-in:
  • + - serializer
  • + deprecated: true
  •   custom_fields:
  •   type: object
  •   title: Custom Fields
  • ...
  •   title: Currency Default
  •   x-used-in:
  •   - serializer
  • + original_pdf_url:
  • + type: string
  • + title: Original Pdf Url
  • + x-used-in:
  • + - serializer
  • + deprecated: true
  •   note_interpolated:
  •   title: Note Interpolated
  •   x-used-in:
-
Schema removed filter_meeting
Schema changes
  • -type: object
  • -title: Filter meeting
  • -required: false
  • -properties:
  • - id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/id"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/id"
  • - after:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/after"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/after"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/after"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/after"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/after"
  • - query:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/query"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/query"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/query"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/query"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/query"
  • - before:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/before"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/before"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/before"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/before"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/before"
  • - status:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/status"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/status"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/status"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/status"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/status"
  • - deal_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/deal_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/deal_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/deal_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/deal_id"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/deal_id"
  • - platform:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/platform"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/platform"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/platform"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/platform"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/platform"
  • - project_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/project_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/project_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/project_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/project_id"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/project_id"
  • - started_at:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/started_at"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/started_at"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/started_at"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/started_at"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/started_at"
  • - calendar_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_id"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/calendar_id"
  • - meeting_url:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/meeting_url"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/meeting_url"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/meeting_url"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/meeting_url"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/meeting_url"
  • - calendar_event_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_id"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_id"
  • - calendar_provider:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_provider"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_provider"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_provider"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_provider"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/calendar_provider"
  • - calendar_event_uid:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_uid"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_uid"
  • - contains:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_uid"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_uid"
  • - - "$ref": "#/components/schemas/resource_meeting/properties/calendar_event_uid"
  • -x-internal: true
  • -patternProperties: {}
  • -
-
Schema removed filter_automation_report
Schema changes
  • -type: object
  • -title: Filter automation report
  • -required: false
  • -properties:
  • - id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/id"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/id"
  • - name:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/name"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/name"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/name"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/name"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/name"
  • - query:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/query"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/query"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/query"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/query"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/query"
  • - enabled:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/enabled"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/enabled"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/enabled"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/enabled"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/enabled"
  • - type_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/type_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/type_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/type_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/type_id"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/type_id"
  • - agent_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/agent_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/agent_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/agent_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/agent_id"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/agent_id"
  • - survey_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/survey_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/survey_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/survey_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/survey_id"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/survey_id"
  • - target_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/target_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/target_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/target_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/target_id"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/target_id"
  • - created_at:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/created_at"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/created_at"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/created_at"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/created_at"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/created_at"
  • - creator_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/creator_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/creator_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/creator_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/creator_id"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/creator_id"
  • - project_id:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/project_id"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/project_id"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/project_id"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/project_id"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/project_id"
  • - updated_at:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/updated_at"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/updated_at"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/updated_at"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/updated_at"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/updated_at"
  • - automatable_type:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/automatable_type"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/automatable_type"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/automatable_type"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/automatable_type"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/automatable_type"
  • - resolve_on_all_projects:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/resolve_on_all_projects"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/resolve_on_all_projects"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/resolve_on_all_projects"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/resolve_on_all_projects"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/resolve_on_all_projects"
  • - exclude_template_projects:
  • - oneOf:
  • - - type: object
  • - title: Operation
  • - properties:
  • - eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/exclude_template_projects"
  • - not_eq:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/exclude_template_projects"
  • - contains:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/exclude_template_projects"
  • - not_contain:
  • - "$ref": "#/components/schemas/resource_automation_report/properties/exclude_template_projects"
  • - - "$ref": "#/components/schemas/resource_automation_report/properties/exclude_template_projects"
  • -x-internal: true
  • -patternProperties: {}
  • -
~
Schema modified resource_integration_task_management_configuration
Schema changes
  •   - serializer
  •   x-relationship: has_one
  •   x-related-resource: resource_service
  • - jira_board_name:
  • - type: string
  • - title: Jira Board Name
  • - x-used-in:
  • - - serializer
  •   default_person_id:
  •   type: integer
  •   title: Default Person
  •   x-used-in:
  •   - form
  • - jira_project_name:
  • - type: string
  • - title: Jira Project Name
  • - x-used-in:
  • - - serializer
  •   default_service_id:
  •   type: integer
  •   title: Default Service
~
Schema modified resource_expense
Schema changes
  •   '2': Not exported
  •   x-used-in:
  •   - filter
  • - markup_amount:
  • - type: integer
  • - title: Markup Amount
  • - x-used-in:
  • - - serializer
  • - - form
  • - x-feature-flags:
  • - - expenseMarkupAmount
  •   paid_on_after:
  •   type: string
  •   title: Paid On After
  • ...
  •   title: Total Amount Default
  •   x-used-in:
  •   - serializer
  • - markup_amount_default:
  • - title: Markup Amount Default
  • - x-used-in:
  • - - serializer
  • - x-feature-flags:
  • - - expenseMarkupAmount
  •   total_amount_with_tax:
  •   title: Total Amount With Tax
  •   x-used-in:
  • ...
  •   title: Exchange Rate Normalized
  •   x-used-in:
  •   - serializer
  • - markup_amount_normalized:
  • - title: Markup Amount Normalized
  • - x-used-in:
  • - - serializer
  • - x-feature-flags:
  • - - expenseMarkupAmount
  •   amount_with_tax_normalized:
  •   title: Amount With Tax Normalized
  •   x-used-in:
-
Schema removed resource_meeting
Schema changes
  • -type: object
  • -title: Meeting Resource
  • -required: false
  • -properties:
  • - id:
  • - type: integer
  • - title: Id
  • - x-used-in:
  • - - filter
  • - deal:
  • - title: Deal
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_deal
  • - after:
  • - type: string
  • - title: After
  • - format: date
  • - x-used-in:
  • - - filter
  • - query:
  • - type: string
  • - title: Query
  • - x-used-in:
  • - - filter
  • - title:
  • - type: string
  • - title: Title
  • - x-used-in:
  • - - serializer
  • - - form
  • - before:
  • - type: string
  • - title: Before
  • - format: date
  • - x-used-in:
  • - - filter
  • - status:
  • - enum:
  • - - pending
  • - - joining
  • - - in_progress
  • - - processing
  • - - completed
  • - - failed
  • - type: string
  • - title: Status
  • - x-enums:
  • - failed: Failed
  • - joining: Joining
  • - pending: Pending
  • - completed: Completed
  • - processing: Processing
  • - in_progress: In Progress
  • - x-used-in:
  • - - serializer
  • - - filter
  • - creator:
  • - title: Creator
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_person
  • - deal_id:
  • - type: integer
  • - title: Deal
  • - x-used-in:
  • - - form
  • - - filter
  • - project:
  • - title: Project
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_project
  • - summary:
  • - type: string
  • - title: Summary
  • - x-used-in:
  • - - serializer
  • - - form
  • - ended_at:
  • - type: string
  • - title: Ended At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - platform:
  • - enum:
  • - - zoom
  • - - google_meet
  • - - microsoft_teams
  • - - webex
  • - - unknown
  • - type: string
  • - title: Platform
  • - x-enums:
  • - zoom: Zoom
  • - webex: Webex
  • - unknown: Unknown
  • - google_meet: Google Meet
  • - microsoft_teams: Microsoft Teams
  • - x-used-in:
  • - - serializer
  • - - filter
  • - created_at:
  • - type: string
  • - title: Created At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - - sorter
  • - project_id:
  • - type: integer
  • - title: Project
  • - x-used-in:
  • - - form
  • - - filter
  • - started_at:
  • - type: string
  • - title: Started At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - - filter
  • - - sorter
  • - transcript:
  • - type: array
  • - items: {}
  • - title: Transcript
  • - x-used-in:
  • - - serializer
  • - updated_at:
  • - type: string
  • - title: Updated At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - calendar_id:
  • - type: string
  • - title: Calendar Id
  • - x-used-in:
  • - - serializer
  • - - form
  • - - filter
  • - meeting_url:
  • - type: string
  • - title: Meeting Url
  • - x-used-in:
  • - - serializer
  • - - form
  • - - filter
  • - organization:
  • - title: Organization
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_organization
  • - scheduled_at:
  • - type: string
  • - title: Scheduled At
  • - format: date-time
  • - x-used-in:
  • - - serializer
  • - - form
  • - - sorter
  • - action_points:
  • - type: string
  • - title: Action Points
  • - x-used-in:
  • - - serializer
  • - - form
  • - recording_url:
  • - type: string
  • - title: Recording Url
  • - x-used-in:
  • - - serializer
  • - duration_seconds:
  • - type: integer
  • - title: Duration Seconds
  • - x-used-in:
  • - - serializer
  • - calendar_event_id:
  • - type: string
  • - title: Calendar Event Id
  • - x-used-in:
  • - - serializer
  • - - form
  • - - filter
  • - calendar_provider:
  • - enum:
  • - - google
  • - - outlook
  • - type: string
  • - title: Calendar Provider
  • - x-enums:
  • - google: Google Calendar
  • - outlook: Outlook Calendar
  • - x-used-in:
  • - - serializer
  • - - form
  • - - filter
  • - notetaker_enabled:
  • - type: boolean
  • - title: Notetaker Enabled
  • - x-used-in:
  • - - serializer
  • - - form
  • - calendar_event_uid:
  • - type: string
  • - title: Calendar Event Uid
  • - x-used-in:
  • - - serializer
  • - - form
  • - - filter
  • - transcript_markdown:
  • - type: string
  • - title: Transcript Markdown
  • - x-used-in:
  • - - serializer
  • - meeting_participants:
  • - title: Meeting Participants
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_many
  • - x-related-resource: resource_meeting_participant
  • -x-internal: true
  • -
~
Schema modified resource_service
Schema changes
  •   title: Deal Stage
  •   x-used-in:
  •   - filter
  • - discount_type:
  • - enum:
  • - - percentage
  • - - amount
  • - type: string
  • - title: Discount Type
  • - x-enums:
  • - amount: Amount
  • - percentage: Percentage
  • - x-used-in:
  • - - serializer
  •   editor_config:
  •   type: object
  •   title: Editor Config
  • ...
  •   x-used-in:
  •   - serializer
  •   discount_amount:
  • - type: number
  •   title: Discount Amount
  •   x-used-in:
  •   - serializer
  • - - form
  •   - filter
  •   explicit_access:
  •   type: boolean
~
Schema modified resource_einvoice_transaction
Schema changes
  •   format: date-time
  •   x-used-in:
  •   - serializer
  • - attachments:
  • - title: Attachments
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_many
  • - x-related-resource: resource_attachment
  •   delivered_at:
  •   type: string
  •   title: Delivered At
-
Schema removed _filter_root_automation_report
Schema changes
  • -oneOf:
  • -- type: object
  • - title: Advanced filters
  • - required:
  • - - "$op"
  • - properties:
  • - "$op":
  • - enum:
  • - - or
  • - - and
  • - type: string
  • - x-enums:
  • - or: OR
  • - and: AND
  • - patternProperties:
  • - "^[0-9]+$":
  • - "$ref": "#/components/schemas/_filter_root_automation_report"
  • -- "$ref": "#/components/schemas/filter_automation_report"
  • -required: false
  • -x-internal: true
  • -
+
Schema added resource_project_assignment
Schema changes
  • +type: object
  • +title: Project assignment Resource
  • +required: false
  • +properties:
  • + id:
  • + type: integer
  • + title: Id
  • + x-used-in:
  • + - filter
  • + person:
  • + title: Person
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_person
  • + project:
  • + title: Project
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_project
  • + watched:
  • + title: Watched
  • + x-used-in:
  • + - serializer
  • + - form
  • + person_id:
  • + type: integer
  • + title: Person
  • + x-used-in:
  • + - form
  • + - filter
  • + subscribe:
  • + title: Subscribe
  • + x-used-in:
  • + - form
  • + created_at:
  • + type: string
  • + title: Created At
  • + format: date-time
  • + x-used-in:
  • + - serializer
  • + project_id:
  • + type: integer
  • + title: Project
  • + x-used-in:
  • + - form
  • + - filter
  • + preferences:
  • + type: string
  • + title: Preferences
  • + x-used-in:
  • + - serializer
  • + - form
  • + unsubscribe:
  • + title: Unsubscribe
  • + x-used-in:
  • + - form
  • + organization:
  • + title: Organization
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_organization
  • + docs_filter_id:
  • + type: integer
  • + title: Docs Filter
  • + x-used-in:
  • + - serializer
  • + - form
  • + deals_filter_id:
  • + type: integer
  • + title: Deals Filter
  • + x-used-in:
  • + - serializer
  • + - form
  • + favorite_filter:
  • + title: Favorite Filter
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_filter
  • + tasks_layout_id:
  • + type: integer
  • + title: Tasks Layout
  • + x-used-in:
  • + - serializer
  • + - form
  • + budgets_filter_id:
  • + type: integer
  • + title: Budgets Filter
  • + x-used-in:
  • + - serializer
  • + - form
  • + default_filter_id:
  • + type: integer
  • + title: Default Filter
  • + x-used-in:
  • + - serializer
  • + - form
  • + invoices_filter_id:
  • + type: integer
  • + title: Invoices Filter
  • + x-used-in:
  • + - serializer
  • + - form
  • + docs_favorite_filter:
  • + title: Docs Favorite Filter
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_filter
  • + deals_favorite_filter:
  • + title: Deals Favorite Filter
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_filter
  • + budgets_favorite_filter:
  • + title: Budgets Favorite Filter
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_filter
  • + invoices_favorite_filter:
  • + title: Invoices Favorite Filter
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_filter
  • +
~
Schema modified resource_approval_status
Schema changes
  •   title: Approver Group Key
  •   x-used-in:
  •   - serializer
  • + x-feature-flags:
  • + - pmDynamicApproverOnAbsences
  •   approval_workflow_id:
  •   type: integer
  •   title: Approval Workflow
~
Schema modified resource_person
Schema changes
  •   - serializer
  •   - sorter
  •   x-relationship: has_one
  • + x-feature-flags:
  • + - userRole
  •   x-related-resource: resource_job_role
  •   nickname:
  •   type: string
  • ...
  •   x-used-in:
  •   - form
  •   - filter
  • + x-feature-flags:
  • + - userRole
  •   permissions:
  •   type: string
  •   title: Permissions
  • ...
  •   title: Shared Seat
  •   x-used-in:
  •   - filter
  • + x-feature-flags:
  • + - sharedSeats
  •   status_text:
  •   type: string
  •   title: Status Text
~
Schema modified filter_activity
Schema changes
  •   "$ref": "#/components/schemas/resource_activity/properties/normalized_item_type"
  •   - "$ref": "#/components/schemas/resource_activity/properties/normalized_item_type"
  •  x-internal: true
  • -patternProperties:
  • +patternProperties: {}
  • - "^creator..*$":
  • - title: Creator relationship
  •  
~
Schema modified filter_project_report
Schema changes
  •   not_contain:
  •   "$ref": "#/components/schemas/resource_project_report/properties/project_color"
  •   - "$ref": "#/components/schemas/resource_project_report/properties/project_color"
  • + public_access:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project_report/properties/public_access"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project_report/properties/public_access"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project_report/properties/public_access"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project_report/properties/public_access"
  • + - "$ref": "#/components/schemas/resource_project_report/properties/public_access"
  •   estimated_time:
  •   oneOf:
  •   - type: object
-
Schema removed resource_automation_report
Schema changes
  • -type: object
  • -title: Automation report Resource
  • -required: false
  • -properties:
  • - id:
  • - type: integer
  • - title: Id
  • - x-used-in:
  • - - filter
  • - name:
  • - type: string
  • - title: Name
  • - x-used-in:
  • - - serializer
  • - - filter
  • - - sorter
  • - count:
  • - type: integer
  • - title: Count
  • - x-used-in:
  • - - serializer
  • - - sorter
  • - group:
  • - type: string
  • - title: Group
  • - x-used-in:
  • - - serializer
  • - query:
  • - type: string
  • - title: Query
  • - x-used-in:
  • - - filter
  • - report:
  • - title: Report
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_automation_report
  • - creator:
  • - title: Creator
  • - x-used-in:
  • - - serializer
  • - - sorter
  • - - grouper
  • - x-relationship: has_one
  • - x-related-resource: resource_person
  • - enabled:
  • - type: boolean
  • - title: Enabled
  • - x-used-in:
  • - - serializer
  • - - filter
  • - - sorter
  • - - grouper
  • - project:
  • - title: Project
  • - x-used-in:
  • - - serializer
  • - - sorter
  • - - grouper
  • - x-relationship: has_one
  • - x-related-resource: resource_project
  • - type_id:
  • - enum:
  • - - 1
  • - - 2
  • - type: integer
  • - title: Type
  • - x-enums:
  • - '1': Event
  • - '2': Time
  • - x-used-in:
  • - - serializer
  • - - sorter
  • - - grouper
  • - - filter
  • - agent_id:
  • - type: integer
  • - title: Agent
  • - x-used-in:
  • - - filter
  • - projects:
  • - title: Projects
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_many
  • - x-related-resource: resource_project
  • - survey_id:
  • - type: integer
  • - title: Survey
  • - x-used-in:
  • - - filter
  • - target_id:
  • - enum:
  • - - 1
  • - - 2
  • - - 3
  • - - 4
  • - - 5
  • - - 6
  • - - 7
  • - - 8
  • - - 9
  • - - 10
  • - - 11
  • - type: integer
  • - title: Target
  • - x-enums:
  • - '1': Task
  • - '2': Deal
  • - '3': Budget
  • - '4': Invoice
  • - '5': Survey Response
  • - '6': Project
  • - '7': Booking
  • - '8': Expense
  • - '9': Company
  • - '10': Employee
  • - '11': Slack Message
  • - x-used-in:
  • - - serializer
  • - - filter
  • - - sorter
  • - - grouper
  • - automation:
  • - title: Automation
  • - x-used-in:
  • - - serializer
  • - - grouper
  • - x-relationship: has_one
  • - x-related-resource: resource_automation
  • - created_at:
  • - type: string
  • - title: Created At
  • - format: date
  • - x-used-in:
  • - - serializer
  • - - filter
  • - - sorter
  • - - grouper
  • - creator_id:
  • - type: integer
  • - title: Creator
  • - x-used-in:
  • - - filter
  • - project_id:
  • - type: integer
  • - title: Project
  • - x-used-in:
  • - - filter
  • - updated_at:
  • - type: string
  • - title: Updated At
  • - format: date
  • - x-used-in:
  • - - serializer
  • - - filter
  • - - sorter
  • - - grouper
  • - description:
  • - type: string
  • - title: Description
  • - x-used-in:
  • - - serializer
  • - - sorter
  • - organization:
  • - title: Organization
  • - x-used-in:
  • - - serializer
  • - - grouper
  • - x-relationship: has_one
  • - formula_fields:
  • - title: Formula Fields
  • - x-used-in:
  • - - serializer
  • - automatable_type:
  • - type: string
  • - title: Automatable Type
  • - x-used-in:
  • - - filter
  • - created_at_period:
  • - title: Created At Period
  • - x-used-in:
  • - - serializer
  • - updated_at_period:
  • - title: Updated At Period
  • - x-used-in:
  • - - serializer
  • - resolve_on_all_projects:
  • - type: boolean
  • - title: Resolve On All Projects
  • - x-used-in:
  • - - serializer
  • - - filter
  • - exclude_template_projects:
  • - type: boolean
  • - title: Exclude Template Projects
  • - x-used-in:
  • - - filter
  • -
+
Schema added _filter_root_project_assignment
Schema changes
  • +oneOf:
  • +- type: object
  • + title: Advanced filters
  • + required:
  • + - "$op"
  • + properties:
  • + "$op":
  • + enum:
  • + - or
  • + - and
  • + type: string
  • + x-enums:
  • + or: OR
  • + and: AND
  • + patternProperties:
  • + "^[0-9]+$":
  • + "$ref": "#/components/schemas/_filter_root_project_assignment"
  • +- "$ref": "#/components/schemas/filter_project_assignment"
  • +required: false
  • +x-internal: true
  • +
~
Schema modified resource_page
Schema changes
  •   - sorter
  •   x-relationship: has_one
  •   x-related-resource: resource_project
  • - updater:
  • - title: Updater
  • - x-used-in:
  • - - serializer
  • - x-relationship: has_one
  • - x-related-resource: resource_person
  •   position:
  •   type: integer
  •   title: Position
  • ...
  •   title: Public Uuid
  •   x-used-in:
  •   - serializer
  • - template_id:
  • - type: integer
  • - title: Template
  • - x-used-in:
  • - - form
  •   creator_name:
  •   title: Creator Name
  •   x-used-in:
  • ...
  •   title: Public Access
  •   x-used-in:
  •   - serializer
  • + - form
  •   subscriber_id:
  •   type: integer
  •   title: Subscriber
  •   x-used-in:
  •   - filter
  • - target_doc_id:
  • - type: integer
  • - title: Target Doc
  • - x-used-in:
  • - - form
  •   attachment_ids:
  •   title: Attachment Ids
  •   x-used-in:
  • ...
  •   '2': Archived
  •   x-used-in:
  •   - filter
  • + subscriber_ids:
  • + title: Subscriber Ids
  • + x-used-in:
  • + - form
  •   version_number:
  •   type: integer
  •   title: Version Number
  • ...
  •   title: Cover Image Meta
  •   x-used-in:
  •   - serializer
  • + - form
  •   last_activity_at:
  •   type: string
  •   title: Last Activity At
~
Schema modified filter_project_relevancy_report
Schema changes
  •   not_contain:
  •   "$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
  •   - "$ref": "#/components/schemas/resource_project_relevancy_report/properties/heuristic_type"
  • - booked_period_end:
  • - "$ref": "#/components/schemas/resource_project_relevancy_report/properties/booked_period_end"
  • - activity_period_end:
  • - "$ref": "#/components/schemas/resource_project_relevancy_report/properties/activity_period_end"
  • - booked_period_start:
  • - "$ref": "#/components/schemas/resource_project_relevancy_report/properties/booked_period_start"
  • - activity_period_start:
  • - "$ref": "#/components/schemas/resource_project_relevancy_report/properties/activity_period_start"
  •   time_trackable_on_date:
  •   "$ref": "#/components/schemas/resource_project_relevancy_report/properties/time_trackable_on_date"
  •   time_tracked_period_end:
~
Schema modified resource_custom_field
Schema changes
  •   - 5
  •   - 6
  •   - 7
  • - - 8
  •   type: integer
  •   title: Data Type
  •   x-enums:
  • ...
  •   '5': Multiple select field
  •   '6': Person field
  •   '7': Attachment field
  • - '8': Progress field
  •   x-used-in:
  •   - serializer
  •   - form
  • ...
  •   - serializer
  •   x-relationship: has_one
  •   x-related-resource: resource_organization
  • - maximum_value:
  • - type: number
  • - title: Maximum Value
  • - x-used-in:
  • - - serializer
  • - - form
  • - x-feature-flags:
  • - - manualProgressCustomField
  • - minimum_value:
  • - type: number
  • - title: Minimum Value
  • - x-used-in:
  • - - serializer
  • - - form
  • - x-feature-flags:
  • - - manualProgressCustomField
  •   customizable_type:
  •   type: string
  •   title: Customizable Type
~
Schema modified filter_project
Schema changes
  •   not_contain:
  •   "$ref": "#/components/schemas/resource_project/properties/project_color"
  •   - "$ref": "#/components/schemas/resource_project/properties/project_color"
  • + public_access:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project/properties/public_access"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project/properties/public_access"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project/properties/public_access"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project/properties/public_access"
  • + - "$ref": "#/components/schemas/resource_project/properties/public_access"
  •   estimated_time:
  •   oneOf:
  •   - type: object
~
Schema modified resource_einvoice_configuration
Schema changes
  •   x-used-in:
  •   - serializer
  •   - form
  • - verification_status_id:
  • - enum:
  • - - 1
  • - - 2
  • - - 3
  • - - 4
  • - type: integer
  • - title: Verification Status
  • - x-enums:
  • - '1': Not set
  • - '2': Pending
  • - '3': Verified
  • - '4': Failed
  • - x-used-in:
  • - - serializer
  • - responsible_person_email:
  • - type: string
  • - title: Responsible Person Email
  • - x-used-in:
  • - - serializer
  • - - form
  •   include_timesheet_attachment:
  •   type: boolean
  •   title: Include Timesheet Attachment
~
Schema modified resource_search_quick_result
Schema changes
  •   - budget
  •   - action
  •   - invoice
  • - - artifact
  •   type: string
  •   title: Record Type
  •   x-enums:
  • ...
  •   company: Company
  •   invoice: Invoice
  •   project: Project
  • - artifact: Artifact
  •   task_list: Task List
  •   x-used-in:
  •   - serializer
~
Schema modified resource_line_item
Schema changes
  •   title: Tax Rate
  •   x-used-in:
  •   - form
  • - manual_entry:
  • - type: boolean
  • - title: Manual Entry
  • - x-used-in:
  • - - form
  • - - serializer
  •   organization:
  •   title: Organization
  •   x-used-in:
+
Schema added filter_project_preference
Schema changes
  • +type: object
  • +title: Filter project preference
  • +required: false
  • +properties:
  • + id:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • + - "$ref": "#/components/schemas/resource_project_preference/properties/id"
  • + person_id:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • + - "$ref": "#/components/schemas/resource_project_preference/properties/person_id"
  • + project_id:
  • + oneOf:
  • + - type: object
  • + title: Operation
  • + properties:
  • + eq:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • + not_eq:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • + contains:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • + not_contain:
  • + "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • + - "$ref": "#/components/schemas/resource_project_preference/properties/project_id"
  • +x-internal: true
  • +
+
Schema added _filter_root_project_preference
Schema changes
  • +oneOf:
  • +- type: object
  • + title: Advanced filters
  • + required:
  • + - "$op"
  • + properties:
  • + "$op":
  • + enum:
  • + - or
  • + - and
  • + type: string
  • + x-enums:
  • + or: OR
  • + and: AND
  • + patternProperties:
  • + "^[0-9]+$":
  • + "$ref": "#/components/schemas/_filter_root_project_preference"
  • +- "$ref": "#/components/schemas/filter_project_preference"
  • +required: false
  • +x-internal: true
  • +
+
Schema added resource_project_preference
Schema changes
  • +type: object
  • +title: Project preference Resource
  • +required: false
  • +properties:
  • + id:
  • + type: integer
  • + title: Id
  • + x-used-in:
  • + - filter
  • + person:
  • + title: Person
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_person
  • + project:
  • + title: Project
  • + x-used-in:
  • + - serializer
  • + x-relationship: has_one
  • + x-related-resource: resource_project
  • + watched:
  • + type: boolean
  • + title: Watched
  • + x-used-in:
  • + - serializer
  • + - form
  • + person_id:
  • + type: integer
  • + title: Person Id
  • + x-used-in:
  • + - form
  • + - filter
  • + subscribe:
  • + type: boolean
  • + title: Subscribe
  • + x-used-in:
  • + - form
  • + created_at:
  • + type: string
  • + title: Created At
  • + format: date-time
  • + x-used-in:
  • + - serializer
  • + project_id:
  • + type: integer
  • + title: Project Id
  • + x-used-in:
  • + - form
  • + - filter
  • + preferences:
  • + type: string
  • + title: Preferences
  • + x-used-in:
  • + - serializer
  • + - form
  • + unsubscribe:
  • + type: boolean
  • + title: Unsubscribe
  • + x-used-in:
  • + - form
  • + tasks_layout_id:
  • + type: integer
  • + title: Tasks Layout Id
  • + x-used-in:
  • + - serializer
  • + - form
  • +
~
Schema modified resource_search_quick_result
Schema changes
  •   title: Root Page Id
  •   x-used-in:
  •   - filter
  • - x-feature-flags:
  • - - pageSearchDocScope
  •  x-internal: true
  •  
-
Group removed Project Preferences
Schema changes
  • -name: Project Preferences
  • -x-resource: resource_project_preference
  • -
+
Group added Project Assignments
Schema changes
  • +name: Project Assignments
  • +x-resource: resource_project_assignment
  • +
-
Group removed Meetings
Schema changes
  • -name: Meetings
  • -x-internal: true
  • -x-resource: resource_meeting
  • -
-
Group removed Meeting Participants
Schema changes
  • -name: Meeting Participants
  • -x-internal: true
  • -x-resource: resource_meeting_participant
  • -
+
Group added Project Preferences
Schema changes
  • +name: Project Preferences
  • +x-resource: resource_project_preference
  • +
+
Operation added /api/v2/project_assignments/{id}/get
Schema changes
  • +tags:
  • +- Project Assignments
  • +summary: Gets a project assignment
  • +responses:
  • + '200':
  • + "$ref": "#/components/responses/single_project_assignment"
  • +parameters:
  • +- in: path
  • + name: id
  • + schema:
  • + type: string
  • + required: true
  • +- "$ref": "#/components/parameters/header_organization"
  • +operationId: project_assignments-show
  • +
+
Operation added /api/v2/project_assignments/post
Schema changes
  • +tags:
  • +- Project Assignments
  • +summary: Create a project assignment
  • +responses:
  • + '201':
  • + "$ref": "#/components/responses/single_project_assignment"
  • + '422':
  • + content:
  • + application/vnd.api+json: {}
  • + headers:
  • + Content-Type:
  • + schema:
  • + type: string
  • +parameters:
  • +- "$ref": "#/components/parameters/header_organization"
  • +operationId: project_assignments-create
  • +requestBody:
  • + "$ref": "#/components/requestBodies/project_assignment"
  • +
+
Operation added /api/v2/project_assignments/{id}/delete
Schema changes
  • +tags:
  • +- Project Assignments
  • +summary: Deletes a project assignment
  • +responses:
  • + '204': {}
  • +parameters:
  • +- in: path
  • + name: id
  • + schema:
  • + type: string
  • + required: true
  • +- "$ref": "#/components/parameters/header_organization"
  • +operationId: project_assignments-destroy
  • +
+
Operation added /api/v2/project_assignments/get
Schema changes
  • +tags:
  • +- Project Assignments
  • +summary: Get project assignments
  • +responses:
  • + '200':
  • + "$ref": "#/components/responses/collection_project_assignment"
  • +parameters:
  • +- "$ref": "#/components/parameters/filter_project_assignment"
  • +- "$ref": "#/components/parameters/sort_project_assignment"
  • +- "$ref": "#/components/parameters/header_organization"
  • +operationId: project_assignments-index
  • +
+
Operation added /api/v2/project_assignments/{id}/patch
Schema changes
  • +tags:
  • +- Project Assignments
  • +summary: Update a project assignment
  • +responses:
  • + '200':
  • + "$ref": "#/components/responses/single_project_assignment"
  • + '422':
  • + content:
  • + application/vnd.api+json: {}
  • + headers:
  • + Content-Type:
  • + schema:
  • + type: string
  • +parameters:
  • +- in: path
  • + name: id
  • + schema:
  • + type: string
  • + required: true
  • +- "$ref": "#/components/parameters/header_organization"
  • +operationId: project_assignments-update
  • +requestBody:
  • + "$ref": "#/components/requestBodies/project_assignment"
  • +
+
Parameter added sort_project_assignment
Schema changes
  • +in: query
  • +name: sort
  • +style: form
  • +schema:
  • + type: array
  • + items:
  • + type: string
  • + title: Sort project assignment
  • +explode: false
  • +required: false
  • +
~
Parameter modified sort_resource_request_report
Schema changes
  •   - "-resource_request"
  •   - resource_request_created_at
  •   - "-resource_request_created_at"
  • - - resource_request_ended_on
  • - - "-resource_request_ended_on"
  • - - resource_request_started_on
  • - - "-resource_request_started_on"
  •   - service
  •   - "-service"
  •   - service_type
+
Parameter added filter_project_assignment
Schema changes
  • +in: query
  • +name: filter
  • +style: deepObject
  • +schema:
  • + "$ref": "#/components/schemas/_filter_root_project_assignment"
  • +required: false
  • +
+
Parameter added filter_project_preference
Schema changes
  • +in: query
  • +name: filter
  • +style: deepObject
  • +schema:
  • + "$ref": "#/components/schemas/_filter_root_project_preference"
  • +required: false
  • +
+
Parameter added sort_project_preference
Schema changes
  • +in: query
  • +name: sort
  • +style: form
  • +schema:
  • + type: array
  • + items:
  • + type: string
  • + title: Sort project preference
  • +explode: false
  • +required: false
  • +
~
Response modified single_integration_task_management_configuration
Schema changes
  •   "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/jira_project"
  •   jira_screens:
  •   "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/jira_screens"
  • - jira_board_name:
  • - "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/jira_board_name"
  • - jira_project_name:
  • - "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/jira_project_name"
  •   jira_hierarchy_resolution_enabled:
  •   "$ref": "#/components/schemas/resource_integration_task_management_configuration/properties/jira_hierarchy_resolution_enabled"
  •   relationships:
+
Response added single_project_assignment
Schema changes
  • +content:
  • + application/vnd.api+json:
  • + schema:
  • + type: object
  • + properties:
  • + data:
  • + type: object
  • + properties:
  • + attributes:
  • + type: object
  • + properties:
  • + watched:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/watched"
  • + created_at:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/created_at"
  • + preferences:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/preferences"
  • + docs_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/docs_filter_id"
  • + deals_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/deals_filter_id"
  • + tasks_layout_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/tasks_layout_id"
  • + budgets_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/budgets_filter_id"
  • + default_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/default_filter_id"
  • + invoices_filter_id:
  • + "$ref": "#/components/schemas/resource_project_assignment/properties/invoices_filter_id"
  • + relationships:
  • + type: object
  • + properties:
  • + person:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + project:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + organization:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + favorite_filter:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + docs_favorite_filter:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + deals_favorite_filter:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + budgets_favorite_filter:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + invoices_favorite_filter:
  • + "$ref": "#/components/schemas/_single_relationship"
  • + meta:
  • + "$ref": "#/components/schemas/_meta"
  • + included:
  • + type: array
  • + items: {}
  • +
~
Response modified single_organization_subscription
Schema changes
  •   "$ref": "#/components/schemas/resource_organization_subscription/properties/trial_ends_at"
  •   contract_seats:
  •   "$ref": "#/components/schemas/resource_organization_subscription/properties/contract_seats"
  • + active_products:
  • + "$ref": "#/components/schemas/resource_organization_subscription/properties/active_products"
  •   billing_address:
  •   "$ref": "#/components/schemas/resource_organization_subscription/properties/billing_address"
  •   trial_plan_type:
~
Response modified single_public_proposal
Schema changes
  •   "$ref": "#/components/schemas/resource_proposal/properties/responder_name"
  •   responder_email:
  •   "$ref": "#/components/schemas/resource_proposal/properties/responder_email"
  • + original_pdf_url:
  • + "$ref": "#/components/schemas/resource_proposal/properties/original_pdf_url"
  •   status_changed_at:
  •   "$ref": "#/components/schemas/resource_proposal/properties/status_changed_at"
  •   disclaimer_enabled:
~
Response modified collection_line_item
Schema changes
  •   "$ref": "#/components/schemas/resource_line_item/properties/amount_tax"
  •   unit_price:
  •   "$ref": "#/components/schemas/resource_line_item/properties/unit_price"
  • - manual_entry:
  • - "$ref": "#/components/schemas/resource_line_item/properties/manual_entry"
  •   amount_default:
  •   "$ref": "#/components/schemas/resource_line_item/properties/amount_default"
  •   amount_with_tax:
~
Response modified collection_proposal
Schema changes
  •   "$ref": "#/components/schemas/resource_proposal/properties/note"
  •   footer:
  •   "$ref": "#/components/schemas/resource_proposal/properties/footer"
  • - number:
  • - "$ref": "#/components/schemas/resource_proposal/properties/number"
  •   signed:
[...]
